import { jsx } from "react/jsx-runtime";
import { TokenCTI as TokenCTI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCTI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CTI", "data-name": "TokenCTI", ...props, children: /* @__PURE__ */ jsx(TokenCTI$1, { variant }) });
  }
);
TokenCTI.displayName = "TokenCTI";
Object.assign(TokenCTI, { isGdsIcon: true });
export {
  TokenCTI
};
